<?php

$file=file_get_contents('http://xwap.com.ua/srv/tv2/prog.php?'.$_SERVER['QUERY_STRING']);
$file=str_replace('<img alt="" width="20" height="20" src="/srv/i/starport/ico7.gif" />','', $file);
$file=str_replace('<big class="khaki">','<div>', $file);
$file=str_replace('</big>','</div>', $file);
$file=str_replace('<img alt="." width="10" height="10" src="/srv/i/starport/li_larrr.gif"/>','', $file);
$file=str_replace('настроить мои каналы','',$file);
$file=preg_replace('/<a href="http:\/\/wap.starport.com.ua\/(.*?)<\/a>/si','',$file);
$file=preg_replace('/<a href="\/foryou\/s5\/(.*?)<\/a>/si','',$file);
$file=preg_replace('/<a href="\/my\/(.*?)<\/a>/si','',$file);
$file=str_replace('<small>','', $file);
$file=str_replace('<img alt="." width="10" height="10" src="/srv/i/starport/li_body.gif" />','', $file);
$file=str_replace('<img alt="." width="10" height="10" src="/srv/i/starport/li_larr.gif"/>','', $file);
$file=str_replace('</small>','', $file);
$file=str_replace('/srv/tv2/','', $file);
$file=str_replace('ann.php?','ann.php?mu=xhtml&', $file);
$file=str_replace('<p>','<div>', $file);
$file=str_replace('</p>','</div>', $file);
$file=preg_replace('|<!DOCTYPE(.*?)<body>|is','',$file);
$file=str_replace('<?xml version="1.0" encoding="utf-8"?>','', $file);
$file=str_replace('<img alt="" src="/srv/i/starport2/i-arrow-r.gif" width="4" height="5" />', '&#187;', $file);
$file=str_replace('<p class="h1">ТВ-Програма', '', $file);
$file=preg_replace('|<div class="logo">(.*?)</div>|is', '',$file);
$file=str_replace('<img alt="" src="/srv/i/starport2/i-arrow-l.gif" width="4" height="5" />', '>', $file);
$file=preg_replace('|<a href="http://stk.xwap.com.ua">(.*?)</html>|is', '',$file);
$file=str_replace('<p class="h1">', '<div class="line">', $file);
$file=preg_replace('|<div class="lng">(.*?)</div>|is', '',$file);
$file=str_replace('<img alt="." width="" height="" src="/srv/i/tv/logos/', '</div>
<img alt="." src="http://stk.xwap.com.ua/srv/i/tv/logos/', $file);
echo $file;

?>
